package com.seer.teach.common.enums.teacher;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum WrongQuestionBookEnum {

    EVALUATION(0, "AI测评"),
    LESSON(1, "课程学习");

    private final Integer type;
    private final String desc;

    public static WrongQuestionBookEnum getByType(Integer type) {
        for (WrongQuestionBookEnum e : values()) {
            if (e.getType().equals(type)) {
                return e;
            }
        }
        return null;
    }
}
